Skip to main content
GET
/
users
List users
curl --request GET \
  --url https://api.stack-auth.com/api/v1/users
{
  "items": [
    {
      "id": "3241a285-8329-4d69-8f3d-316e08cf140c",
      "primary_email_verified": true,
      "primary_email_auth_enabled": true,
      "signed_up_at_millis": 1630000000000,
      "last_active_at_millis": 1630000000000,
      "is_anonymous": true,
      "is_restricted": false,
      "restricted_by_admin": false,
      "risk_scores": {
        "sign_up": {
          "bot": 0,
          "free_trial_abuse": 0
        }
      },
      "primary_email": "johndoe@example.com",
      "display_name": "John Doe",
      "selected_team": {
        "created_at_millis": 1630000000000,
        "id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
        "display_name": "My Team",
        "server_metadata": {
          "key": "value"
        },
        "profile_image_url": "https://example.com/image.jpg",
        "client_metadata": {
          "key": "value"
        },
        "client_read_only_metadata": {
          "key": "value"
        }
      },
      "selected_team_id": "team-id",
      "profile_image_url": "https://example.com/image.jpg",
      "client_metadata": {
        "key": "value"
      },
      "client_read_only_metadata": {
        "key": "value"
      },
      "server_metadata": {
        "key": "value"
      },
      "restricted_reason": null,
      "restricted_by_admin_reason": null,
      "restricted_by_admin_private_details": null,
      "country_code": "US"
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

team_id
string

Only return users who are members of the given team

limit
integer

The maximum number of items to return

cursor
string

The cursor to start the result set from.

order_by
enum<string>

The field to sort the results by. Defaults to signed_up_at

Available options:
signed_up_at,
last_active_at
desc
enum<string>

Whether to sort the results in descending order. Defaults to false

Available options:
true,
false
query
string

A search query to filter the results by. This is a free-text search that is applied to the user's id (exact-match only), display name and primary email.

include_anonymous
enum<string>

Whether to include anonymous users in the results. When true, also includes restricted users. Defaults to false

Available options:
true,
false
only_anonymous
enum<string>

Whether to return only anonymous users. When true, implies include_anonymous=true. Defaults to false

Available options:
true,
false
include_restricted
enum<string>

Whether to include restricted users in the results. Defaults to false

Available options:
true,
false

Response

200 - application/json

Successful response

items
object[]
required
pagination
object